
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-5">
        <h3 class="bg-primary text-white p-3">
          {{getName()}} To Do Listttt
        </h3>
        
        <div class="input-group">
          <input type="text" #todoText class="form-control">
          <div class="input-group-append">
            <button class="btn btn-primary" (click)="addItem(todoText.value); todoText.value='';">Add</button>
          </div>
        </div>
        <div class="custom-control custom-checkbox my-3">
          <input type="checkbox" [(ngModel)]="isDisplay" class="custom-control-input" name="" id="displayAll">
          <label class="custom-control-label" for="displayAll">Display All</label>
        </div>
       
        <table class="table table-striped table-bordered">
            <thead>
              <tr>
                <th></th>
                <th>Description</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of getItems(); let i =index">
                <td>{{i+1}}</td>
                <td>
                  <input type="checkbox" [(ngModel)]="item.action">
                </td>
                <td>{{item.description}}</td>    
                <td [ngSwitch]="item.action" >
                <span *ngSwitchCase="true">Yes</span>
                <span *ngSwitchCase="false">No</span>          
              </td>
            </tr>
            </tbody>
          </table>
      </div>
    </div>
  </div>
  <!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
  <!-- * * * * * * * * * * * The content above * * * * * * * * * * * -->
  <!-- * * * * * * * * * * is only a placeholder * * * * * * * * * * -->
  <!-- * * * * * * * * * * and can be replaced. * * * * * * * * * * * -->
  <!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
  <!-- * * * * * * * * * * End of Placeholder * * * * * * * * * * * -->
  <!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
  
  